#include <exec/types.h>
#include <proto/intuition.h>
#include <proto/graphics.h>
#include <graphics/gfxbase.h>
#include <graphics/view.h>
#include <hardware/custom.h>

#include "BlackBorder.h"

/*
** Enable or disable black border on all screens, 3.0+ only
**
*/

__regargs void 
ToggleBlackBorder( BOOL toggle )
{
	if (toggle)
	{
		GfxBase->BP3Bits |= BPLCON3_BRDNBLNK;
	}
	else
	{
		GfxBase->BP3Bits &= ~BPLCON3_BRDNBLNK;
	}
	RemakeDisplay();
}

